Loading...
Searching...
No Matches
circular_buffer.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "memory_model.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include "vector.h"`

Go to the source code of this file.

## Classes

class | etl::circular_buffer_exception
| Exception for the circular_buffer. More...
class | etl::circular_buffer_empty
| Empty exception for the circular_buffer. More...
class | etl::circular_buffer_incompatible_type
| Incompatible type exception. More...
class | etl::circular_buffer_base
class | etl::icircular_buffer< T >
class | etl::icircular_buffer< T >::iterator
| Iterator iterating through the circular buffer. More...
class | etl::icircular_buffer< T >::const_iterator
| Iterator iterating through the circular buffer. More...
class | etl::circular_buffer< T, MAX_SIZE_ >
class | etl::circular_buffer_ext< T >

## Namespaces

namespace | etl

## Functions

template<typename T>
void | etl::swap (etl::circular_buffer_ext< T > &lhs, etl::circular_buffer_ext< T > &rhs)
| Template deduction guides.
template<typename T>
bool | etl::operator== (const icircular_buffer< T > &lhs, const icircular_buffer< T > &rhs)
| Equality operator.
template<typename T>
bool | etl::operator!= (const icircular_buffer< T > &lhs, const icircular_buffer< T > &rhs)
| Inequality operator.

## Variables

template<typename T, size_t MAX_SIZE_>
ETL_CONSTANT icircular_buffer< T >::size_type | etl::circular_buffer< T, MAX_SIZE_ >::MAX_SIZE